{ lib, pkgs, config, ...}:
{
  image = "phpmyadmin:latest";

  environment = {
    "TZ" = "Europe/Berlin";
    "MYSQL_ROOT_PASSWORD" = "testdata";
    "PMA_HOST" = "127.0.0.1";
    #"PMA_ABSOLUTE_URI" = "http://localhost/phpmad.local";
    "UPLOAD_LIMIT" = "10M";
  };

  volumes = [
    "/home/dbuser/phpmyadmin/config.user.inc.php:/etc/phpmyadmin/config.user.inc.php"
  ];

  extraOptions = [
    "--pull=newer" # Pull if the image on the registry is newer than the one in the local containers storage
    "--name=phpmyadmin"
    "--hostname=phpmyadmin"
    "--network=net_macvlan"
    "--ip=IP"
    "--mac-address=MAC"
  ];

  #dependsOn = [ "mariadb" ];
  
}
