{ lib, pkgs, config, ... }:
{
  services.xserver.enable = true;
  services.xserver.desktopManager.xfce.enableXfwm = true;
  # Enable the XFCE Desktop Environment.
  services.xserver.displayManager.lightdm.enable = true;
  services.xserver.desktopManager.xfce.enable = true;
  programs.xwayland.enable = true;
  # Configure keymap in X11
  services.xserver = {
    layout = "de";
    xkbVariant = "";
  };
  environment.systemPackages = with pkgs; [
   xfce.xfce4-pulseaudio-plugin
  ];
  
    xdg = {
  portal = {
    enable = true;
    extraPortals = with pkgs; [
      xdg-desktop-portal-wlr
      xdg-desktop-portal-gtk
    ];
   };
  };

}
