{ inputs, config, pkgs, ... }:
{
 services.udev.packages = with pkgs; [
    android-udev-rules
 ];
 services.hardware.openrgb.enable = true;
 programs.adb.enable = true;
 users.users.i3le = {
     isNormalUser = true;
     extraGroups = [ 
     "wheel" "networkManager" "libvirtd" "video" 
     "user-with-access-to-virtualbox" "iwd" 
     "adbusers"
     
     ];
     shell = pkgs.bash;
     packages = with pkgs; [
     signal-desktop
      git
     #cura
      qcad
      sshuttle
      nextcloud-client
      openrgb-with-all-plugins
      bashInteractive
      wl-clipboard
      xclip
      micro
      neovim
      firefox
      tree
      dino
      #jtsi-meet
      #ungoogled-chromium
      #jami
      #jitsi
      tor-browser
      #freetube
      qpwgraph
      #kate
      #revolt-desktop
      #librewolf
      # Office
      hexdino
      #logseq
      libreoffice-qt
      okteta
      okular
      xournalpp
      #libreoffice
      # IDE
      #ciscoPacketTracer8
      #texstudio
      #jetbrains.idea-ultimate
      # studio
      #obs-studio
      somafm-cli
      razergenie
      kdenlive
      audacity
      blender
      mpv      
      # Extras
      keepassxc
      #helix
      distrobox
      podman-desktop
      podman-compose
      # Design
      inkscape
      krita
      gimp
      #cobang
      prusa-slicer
      #blender
      openscad
      #freecad
      # imager
      rpi-imager
      # network
      wireshark
      nmap
      #zmap
      magic-wormhole-rs
      #gns3-gui
      # shellenv
      #fh
      # compress
      unzip
      p7zip
      unrar
      # memes
      fastfetch
      #nyancat
      #oneke  
      # devel
      adbfs-rootless
      android-tools 
      # simulation
      qucs-s
      # shelli
      shellify
      shellspec
      procs
      delta
      tokei
      bat
      file
      ffmpeg#-headless
      yt-dlp
      fzf
      git
      fh
      pandoc
      imagemagick
      typst
      
      # games
      #xivlauncher
      #sauerbraten
      xbill
     ];
   };


/*
 services.emacs = {
  enable = true;
  package = inputs.doom-emacs.packages..doom-emacs.override {
    doomPrivateDir = ./dots/doom.d;
   };
 };
*/
 

}
